@if (row) {
  <div
    [class.__hover_pointer]="this.isEditable()"
    class="sqtm-grid-cell-txt-renderer full-height flex-column p-r-5 default-cell-width"
    (click)="showTemplate()"
  >
    @if (automatedTestTechnologies$ | async; as automatedTestTechnologies) {
      @if (!asyncOperationRunning) {
        <span
          class="txt-ellipsis"
          #infoListItemRef
          [sqtmCoreLabelTooltip]="getLabel(row.data[columnDisplay.id])"
          nz-tooltip
          [nzTooltipTitle]=""
          [nzTooltipPlacement]="'topLeft'"
        >
          {{ getLabel(row.data[columnDisplay.id]) }}
        </span>
      } @else {
        <span
          style="margin: auto"
          class="current-workspace-main-color table-icon-size"
        >
          <i nz-icon nzType="loading" nzTheme="outline"></i>
        </span>
      }
      <ng-template #templatePortalContent>
        <sqtm-core-list-panel
          [selectedItem]="row.data['atTechnologyId']"
          (itemSelectionChanged)="change($event)"
          [items]="getListPanelItems(automatedTestTechnologies)"
        ></sqtm-core-list-panel>
      </ng-template>
    }
  </div>
}
